{ pkgs, ... }: {

  services.xserver = {
    enable = true;
    
    displayManager = {
      sddm.enable = true;
      defaultSession = "xfce";
    };
    
    desktopManager = {
      xterm.enable = false;
      xfce.enable = true;
    };

    layout = "us";
    xkbVariant = "";
  };

  environment.systemPackages = with pkgs; [
    xfce.xfce4-clipman-plugin
    xfce.xfce4-volumed-pulse
  ];
}
