{ ... }: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
    ../../features/dns-cache.nix
  ];

  networking.hostName = "happystaticbuzz";
  system.stateVersion = "24.05";
  nixpkgs.hostPlatform = "x86_64-linux";

  networking.firewall.allowedTCPPorts = [ 8080 ];

  services.gotosocial = {
    enable = true;
    settings = {
      application-name = "happy static buzzing";
      bind-address = "0.0.0.0";
      host = "happ.ystatic.buzz";
      account-registration-open = false;
      trusted-proxies = [ "100.0.0.0/8" ];
      log-level = "trace";
    };
  };
}
