{...}: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
    ../../features/podman.nix
    ../../features/dns-cache.nix
  ];

  home-manager.users.noe = import ../../../home-manager/noe/hosts/keylime.nix;

  networking.hostName = "keylime";
  system.stateVersion = "24.05"; 
  nixpkgs.hostPlatform = "x86_64-linux";

  services.tailscale = {
    useRoutingFeatures = "server";
    extraUpFlags = [
      "--advertise-exit-node"
    ];
  };
}
