{ ... }: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
    ../../features/dns-cache.nix
  ];

  networking.hostName = "keysmash";
  system.stateVersion = "24.05";
  nixpkgs.hostPlatform = "x86_64-linux";

  networking.firewall.allowedTCPPorts = [ 8080 ];

  services.gotosocial = {
    enable = true;
    settings = {
      application-name = "keysmash";
      bind-address = "0.0.0.0";
      host = "keysmash.xn--q9jyb4c";
      account-registration-open = false;
      trusted-proxies = [ "100.0.0.0/8" ];
    };
  };
}
